Should not be using CONF settings in brick

Bug #1230066 reported by John Griffith on 2013-09-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
High
Walt Boring

Bug Description

there are a number of places where CONF is used in Brick, however this is a really poor design for something that's intended to be a shared library. It's also bad news for things like multi-backend devices in Cinder as it uses Global CONF settings thereby not allowing specific settings on a driver per driver basis.

One example of the problem in terms of multi-backends is the nfs_mount_options settings.

It would be MUCH better and more flexible rather than to use CONF settings in brick to pass in needed values/settings on __init__

Chet Burgess (cfb-n) wrote :

Per conversation with jgriffith in IRC I'm working on a fix for the remotefs piece.

Walt Boring (walter-boring) wrote :

ok I'll look at the rest.

Walt Boring (walter-boring) wrote :

I'm working on pulling CONF from the initiator, then I'll work on pulling CONF from iser

John Griffith (john-griffith) wrote :

jgriffith is working on the iscsi.py file

Fix proposed to branch: master
Review: https://review.openstack.org/48320

Changed in cinder:
assignee: John Griffith (john-griffith) → Walt Boring (walter-boring)
status: Triaged → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/48350

Fix proposed to branch: master
Review: https://review.openstack.org/48353

Fix proposed to branch: master
Review: https://review.openstack.org/48387

Changed in cinder:
assignee: Walt Boring (walter-boring) → Chet Burgess (cfb-n)
Changed in cinder:
assignee: Chet Burgess (cfb-n) → Walt Boring (walter-boring)
Changed in cinder:
assignee: Walt Boring (walter-boring) → Chet Burgess (cfb-n)

Fix proposed to branch: master
Review: https://review.openstack.org/48742

Changed in cinder:
assignee: Chet Burgess (cfb-n) → Walt Boring (walter-boring)

Reviewed: https://review.openstack.org/48353
Committed: http://github.com/openstack/cinder/commit/ca1fa01c58b3cc9e374669a92febb467de0f9edd
Submitter: Jenkins
Branch: master

commit ca1fa01c58b3cc9e374669a92febb467de0f9edd
Author: Walter A. Boring IV <email address hidden>
Date: Wed Sep 25 14:48:16 2013 -0700

    Clean CONF out of brick exception

    This is part 3 of the work needed to
    remove CONF from the brick subproject.

    This patch removes the CONF usage in
    the brick exception.

    Fixes bug #1230066

    Change-Id: Id1ad704a613bc7e2657a65407932a8ef3706bf92

Changed in cinder:
status: In Progress → Fix Committed

Fix proposed to branch: master
Review: https://review.openstack.org/49088

Reviewed: https://review.openstack.org/49058
Committed: http://github.com/openstack/cinder/commit/7018256578e69e33ed9dee47bb72ea6011a2ce7a
Submitter: Jenkins
Branch: master

commit 7018256578e69e33ed9dee47bb72ea6011a2ce7a
Author: Walter A. Boring IV <email address hidden>
Date: Mon Sep 30 11:07:46 2013 -0700

    Clean CONF out of brick initiator

    This is part 1 of the work needed to
    remove CONF from the brick subproject.
    This patch removes the CONF usage
    completely from the initiator portion of brick.

    Change-Id: I62cf72214db9d4296ae4c5b09bd21fb53664c117
    Partial-Bug: #1230066

Reviewed: https://review.openstack.org/49088
Committed: http://github.com/openstack/cinder/commit/a86e12aad5466bf6c8027f2a76811c99a010f273
Submitter: Jenkins
Branch: master

commit a86e12aad5466bf6c8027f2a76811c99a010f273
Author: Walter A. Boring IV <email address hidden>
Date: Mon Sep 30 15:45:28 2013 -0700

    Pass through args and kwargs in brick connectors

    This is a change needed to help remove CONF usage
    in the brick/remotefs/RemoteFsClient.
    RemoteFsClient can then pull the values from the caller.

    Change-Id: Ie1ff2a39b92c4150fec4a3191367797a260b30ec
    Partial-Bug: #1230066

Reviewed: https://review.openstack.org/48387
Committed: http://github.com/openstack/cinder/commit/7dffd48672091c92d4c9a239fe41fd613b85348b
Submitter: Jenkins
Branch: master

commit 7dffd48672091c92d4c9a239fe41fd613b85348b
Author: Chet Burgess <email address hidden>
Date: Wed Sep 25 21:57:25 2013 -0700

    Remove CONF from brick remotefs

    Move the remotefs CONF options back into their
    corresponding volume drivers.

    Partial-Bug: #1230066
    Change-Id: Ie37a803dc0f895ffd9dc2c7daf8255e6096ccee2

Reviewed: https://review.openstack.org/48528
Committed: http://github.com/openstack/cinder/commit/09f2bea49b853c327762d122d6d9e18f62aed31f
Submitter: Jenkins
Branch: master

commit 09f2bea49b853c327762d122d6d9e18f62aed31f
Author: John Griffith <email address hidden>
Date: Thu Sep 26 15:23:01 2013 -0600

    Remove need for CONF acces in brick iscsi

    At some point we'd like brick to be a standalone lib,
    and as such we don't want to have a requirement for
    CONF files and having duplicate conf entries across
    projects.

    The better approach would be to let the projects decide
    what they want to use, and how they want defaults to be set
    and then pass those settings in via __init__ or when calling
    the methods that need them.

    Partial-Bug: #1230066

    Change-Id: Ib108f1abb2948cb896bdad58070daa7a725a205d

Reviewed: https://review.openstack.org/48350
Committed: http://github.com/openstack/cinder/commit/e01eba47b94c3cbb41491acdbcabd9ba14936be6
Submitter: Jenkins
Branch: master

commit e01eba47b94c3cbb41491acdbcabd9ba14936be6
Author: Walter A. Boring IV <email address hidden>
Date: Wed Sep 25 14:32:32 2013 -0700

    Clean CONF out of brick iser

    This is part 2 of the work needed to
    remove CONF from the brick subproject.

    This patch removes CONF from the iser
    portion of brick

    Fixes Bug #1230066

    Change-Id: Id165deffdf04fb064c425861dab284de377d2440

Thierry Carrez (ttx) on 2013-10-04
Changed in cinder:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-17
Changed in cinder:
milestone: havana-rc1 → 2013.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers